\hypertarget{struct__timlCNNLayer__}{\section{\-\_\-timl\-C\-N\-N\-Layer\-\_\- Struct Reference}
\label{struct__timlCNNLayer__}\index{\-\_\-timl\-C\-N\-N\-Layer\-\_\-@{\-\_\-timl\-C\-N\-N\-Layer\-\_\-}}
}
\subsection*{Data Fields}
\begin{DoxyCompactItemize}
\item 
\hypertarget{struct__timlCNNLayer___aa3cf77139133b0e43663703e3f1a1af5}{int {\bfseries id}}\label{struct__timlCNNLayer___aa3cf77139133b0e43663703e3f1a1af5}

\item 
\hypertarget{struct__timlCNNLayer___aeece7a702bb2d3ebf28a613db6d60680}{timl\-C\-N\-N\-Layer\-Type {\bfseries type}}\label{struct__timlCNNLayer___aeece7a702bb2d3ebf28a613db6d60680}

\item 
\hypertarget{struct__timlCNNLayer___a8a4ef2648b7d8a0ce1ad385236dd9681}{int {\bfseries row}}\label{struct__timlCNNLayer___a8a4ef2648b7d8a0ce1ad385236dd9681}

\item 
\hypertarget{struct__timlCNNLayer___a511ea4551837a4bf469f304e86f619ae}{int {\bfseries col}}\label{struct__timlCNNLayer___a511ea4551837a4bf469f304e86f619ae}

\item 
\hypertarget{struct__timlCNNLayer___a3b5af3746bd4f2dd911b3c672c043e35}{int {\bfseries channel}}\label{struct__timlCNNLayer___a3b5af3746bd4f2dd911b3c672c043e35}

\item 
\hypertarget{struct__timlCNNLayer___adddde5b98a3537d6d63643c2de0866ef}{float $\ast$ {\bfseries feature\-Map}}\label{struct__timlCNNLayer___adddde5b98a3537d6d63643c2de0866ef}

\item 
float $\ast$ \hyperlink{struct__timlCNNLayer___a6efc77ceacdcb3db3160157794e244cd}{delta}
\item 
\hypertarget{struct__timlCNNLayer___ada35d41231c64e873d79ab86266f0ba6}{timl\-Util\-Phase {\bfseries phase}}\label{struct__timlCNNLayer___ada35d41231c64e873d79ab86266f0ba6}

\item 
\hypertarget{struct__timlCNNLayer___a62677de6a150dd6a6269d192e91f4aad}{\hyperlink{group__util_ga62247c3acaa170e3a75f9887ec21106f}{timl\-Util\-Allocator\-Level} {\bfseries allocator\-Level}}\label{struct__timlCNNLayer___a62677de6a150dd6a6269d192e91f4aad}

\item 
\hyperlink{structtimlCNNDropoutParams}{timl\-C\-N\-N\-Dropout\-Params} \hyperlink{struct__timlCNNLayer___addc500b652e0362ca23e60ff7eb937de}{dropout\-Params}
\item 
\hypertarget{struct__timlCNNLayer___afb555c9a1871b9fdb46eae353c917db0}{\hyperlink{structtimlCNNInputParams}{timl\-C\-N\-N\-Input\-Params} {\bfseries input\-Params}}\label{struct__timlCNNLayer___afb555c9a1871b9fdb46eae353c917db0}

\item 
\hypertarget{struct__timlCNNLayer___af365ddc466e35b5554e18a9553520aba}{\hyperlink{structtimlCNNConvParams}{timl\-C\-N\-N\-Conv\-Params} {\bfseries conv\-Params}}\label{struct__timlCNNLayer___af365ddc466e35b5554e18a9553520aba}

\item 
\hypertarget{struct__timlCNNLayer___a04cec00ee207e28a072ee85b4189793e}{\hyperlink{structtimlCNNNormParams}{timl\-C\-N\-N\-Norm\-Params} {\bfseries norm\-Params}}\label{struct__timlCNNLayer___a04cec00ee207e28a072ee85b4189793e}

\item 
\hypertarget{struct__timlCNNLayer___aac2986ad57e08e818c8ebc28c4cc9329}{\hyperlink{structtimlCNNPoolingParams}{timl\-C\-N\-N\-Pooling\-Params} {\bfseries pooling\-Params}}\label{struct__timlCNNLayer___aac2986ad57e08e818c8ebc28c4cc9329}

\item 
\hypertarget{struct__timlCNNLayer___aefbe15200a1f6f7051d161cbb8331e32}{\hyperlink{structtimlCNNNonlinearParams}{timl\-C\-N\-N\-Nonlinear\-Params} {\bfseries nonlinear\-Params}}\label{struct__timlCNNLayer___aefbe15200a1f6f7051d161cbb8331e32}

\item 
\hypertarget{struct__timlCNNLayer___ad86f8e54b47cc41b401344a6daaa2f32}{\hyperlink{structtimlCNNLinearParams}{timl\-C\-N\-N\-Linear\-Params} {\bfseries linear\-Params}}\label{struct__timlCNNLayer___ad86f8e54b47cc41b401344a6daaa2f32}

\item 
struct \hyperlink{struct__timlCNNLayer__}{\-\_\-timl\-C\-N\-N\-Layer\-\_\-} $\ast$ \hyperlink{struct__timlCNNLayer___a1c5210fa230c366b390732386064eeb8}{prev}
\item 
\hypertarget{struct__timlCNNLayer___a3a05e6c16229a5ea2b85390936443082}{struct \hyperlink{struct__timlCNNLayer__}{\-\_\-timl\-C\-N\-N\-Layer\-\_\-} $\ast$ {\bfseries next}}\label{struct__timlCNNLayer___a3a05e6c16229a5ea2b85390936443082}

\item 
\hypertarget{struct__timlCNNLayer___a08768d9be8ae32039646afe3624eb7c2}{struct \hyperlink{struct__timlConvNeuralNetwork__}{\-\_\-timl\-Conv\-Neural\-Network\-\_\-} $\ast$ {\bfseries cnn}}\label{struct__timlCNNLayer___a08768d9be8ae32039646afe3624eb7c2}

\end{DoxyCompactItemize}


\subsection{Field Documentation}
\hypertarget{struct__timlCNNLayer___a6efc77ceacdcb3db3160157794e244cd}{\index{\-\_\-timl\-C\-N\-N\-Layer\-\_\-@{\-\_\-timl\-C\-N\-N\-Layer\-\_\-}!delta@{delta}}
\index{delta@{delta}!_timlCNNLayer_@{\-\_\-timl\-C\-N\-N\-Layer\-\_\-}}
\subsubsection[{delta}]{\setlength{\rightskip}{0pt plus 5cm}float$\ast$ \-\_\-timl\-C\-N\-N\-Layer\-\_\-\-::delta}}\label{struct__timlCNNLayer___a6efc77ceacdcb3db3160157794e244cd}
partial derivative of the cost function with regard to each kernel \hypertarget{struct__timlCNNLayer___addc500b652e0362ca23e60ff7eb937de}{\index{\-\_\-timl\-C\-N\-N\-Layer\-\_\-@{\-\_\-timl\-C\-N\-N\-Layer\-\_\-}!dropout\-Params@{dropout\-Params}}
\index{dropout\-Params@{dropout\-Params}!_timlCNNLayer_@{\-\_\-timl\-C\-N\-N\-Layer\-\_\-}}
\subsubsection[{dropout\-Params}]{\setlength{\rightskip}{0pt plus 5cm}{\bf timl\-C\-N\-N\-Dropout\-Params} \-\_\-timl\-C\-N\-N\-Layer\-\_\-\-::dropout\-Params}}\label{struct__timlCNNLayer___addc500b652e0362ca23e60ff7eb937de}
only one of the layer-\/specific params structure is valid \hypertarget{struct__timlCNNLayer___a1c5210fa230c366b390732386064eeb8}{\index{\-\_\-timl\-C\-N\-N\-Layer\-\_\-@{\-\_\-timl\-C\-N\-N\-Layer\-\_\-}!prev@{prev}}
\index{prev@{prev}!_timlCNNLayer_@{\-\_\-timl\-C\-N\-N\-Layer\-\_\-}}
\subsubsection[{prev}]{\setlength{\rightskip}{0pt plus 5cm}struct {\bf \-\_\-timl\-C\-N\-N\-Layer\-\_\-}$\ast$ \-\_\-timl\-C\-N\-N\-Layer\-\_\-\-::prev}}\label{struct__timlCNNLayer___a1c5210fa230c366b390732386064eeb8}
layers are connected with double linked list 

The documentation for this struct was generated from the following file\-:\begin{DoxyCompactItemize}
\item 
\hyperlink{timlCNN_8h}{timl\-C\-N\-N.\-h}\end{DoxyCompactItemize}
